org.eclnt.workplace

## Class WorkpageContainerRendererIconSelectorRight

- java.lang.Object
- - org.eclnt.jsfserver.pagebean.PageBean
  - - org.eclnt.workplace.WorkpageContainerRendererIconSelectorRight

- All Implemented Interfaces:
    IPageBean, IDynamicContentBindingObject, IWorkpageContainerRenderer

      public class WorkpageContainerRendererIconSelectorRight
      extends PageBean
      implements IWorkpageContainerRenderer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `WorkpageContainerRendererIconSelectorRight.PaneItemInfo`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FONT_SELECTED`
    `static java.lang.String` | `FONT_UNSELECTED`
    `static java.lang.String` | `TEXTCOLOR_SELECTED`
    `static java.lang.String` | `TEXTCOLOR_UNSELECTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkpageContainerRendererIconSelectorRight()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkIfAlsoUsedForSubContainers()`
    `Trigger` | `getAnimationTrigger()`
    `ROWDYNAMICCONTENTBinding` | `getContent()`
    `java.lang.String` | `getEmptyPage()`
    `ROWDYNAMICCONTENTBinding` | `getIcons()`
    `java.lang.String` | `getPageName()` Name of page that is managed by the bean.
    `java.lang.String` | `getRootExpressionUsedInPage()` Inside the page definition the bean is addressed via a certain root expression - e.g.
    `java.util.List<WorkpageContainerRendererIconSelectorRight.PaneItemInfo>` | `getStackedPaneItemInfos()`
    `boolean` | `getWorkpageAvailable()`
    `boolean` | `getWorkpageNotAvailable()`
    `void` | `initWorkpageContainer(WorkpageContainer wpContainer)`
    `void` | `onIconPaneAction(ActionEvent event)`
    `void` | `onSelectAction(ActionEvent event)`
    `void` | `render()`

    - ### Methods inherited from class org.eclnt.jsfserver.pagebean.PageBean

      `buildContentReplaceString, closePopup, getActualRootExpression, getPopups, initializePageBean, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, pbx, readPageLayoutXML, setActualRootExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclnt.jsfserver.pagebean.IPageBean

      `closePopup, getActualRootExpression, initializePageBean, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, setActualRootExpression`

- - ### Field Detail

    - #### TEXTCOLOR_UNSELECTED

          public static java.lang.String TEXTCOLOR_UNSELECTED

    - #### TEXTCOLOR_SELECTED

          public static java.lang.String TEXTCOLOR_SELECTED

    - #### FONT_UNSELECTED

          public static java.lang.String FONT_UNSELECTED

    - #### FONT_SELECTED

          public static java.lang.String FONT_SELECTED

  - ### Constructor Detail

    - #### WorkpageContainerRendererIconSelectorRight

          public WorkpageContainerRendererIconSelectorRight()

  - ### Method Detail

    - #### getPageName

          public java.lang.String getPageName()

      Description copied from interface: `IPageBean`
      Name of page that is managed by the bean. This can either be a static return value that stays fix for the whole lifecycle of the bean, or it may also be a value that changed - in case there are several pages that are possible to be managed by the page bean.
      Specified by:
        `getPageName` in interface `IPageBean`
      Specified by:
        `getPageName` in class `PageBean`

    - #### getRootExpressionUsedInPage

          public java.lang.String getRootExpressionUsedInPage()

      Description copied from interface: `IPageBean`
      Inside the page definition the bean is addressed via a certain root expression - e.g. "#{d.XYZBean}". The page bean management requires this expression in order to execute certain expression replacements when loading the page at runtime.
      Specified by:
        `getRootExpressionUsedInPage` in interface `IPageBean`
      Specified by:
        `getRootExpressionUsedInPage` in class `PageBean`

    - #### getContent

          public ROWDYNAMICCONTENTBinding getContent()

    - #### getIcons

          public ROWDYNAMICCONTENTBinding getIcons()

    - #### getAnimationTrigger

          public Trigger getAnimationTrigger()

    - #### getWorkpageAvailable

          public boolean getWorkpageAvailable()

    - #### getWorkpageNotAvailable

          public boolean getWorkpageNotAvailable()

    - #### getEmptyPage

          public java.lang.String getEmptyPage()

    - #### getStackedPaneItemInfos

          public java.util.List<WorkpageContainerRendererIconSelectorRight.PaneItemInfo> getStackedPaneItemInfos()

    - #### initWorkpageContainer

          public void initWorkpageContainer(WorkpageContainer wpContainer)

      Specified by:
        `initWorkpageContainer` in interface `IWorkpageContainerRenderer`

    - #### onSelectAction

          public void onSelectAction(ActionEvent event)

    - #### onIconPaneAction

          public void onIconPaneAction(ActionEvent event)

    - #### render

          public void render()

    - #### checkIfAlsoUsedForSubContainers

          public boolean checkIfAlsoUsedForSubContainers()

      Specified by:
        `checkIfAlsoUsedForSubContainers` in interface `IWorkpageContainerRenderer`

Copyright © CaptainCasa Gmbh. All Rights Reserved.